Xfinity plant
Xfinity globe
Community Forum

Xfi pods require firmware upgrade

New Poster

Xfi pods require firmware upgrade

When trying to activate XFi pods on my gateway I'm told I need a firmware upgrade. I've tried several times to chat with an Xfinity agent and Everytime they say I'm at the latest firmware! Please help
Tags (2)

Accepted Solutions
Official Employee

Re: Xfi pods require firmware upgrade

4tharris, I received a notification that the Cisco firmware required for Pods has been pushed to your Gateway. Please reboot/power cycle your Gateway twice to allow the firmware to fully load onto your device. Once you have done this, you should be able to onboard your Pods through xFi. 

Please let me know if you run into any issues. 


All Replies
Expert

Re: Xfi pods require firmware upgrade

What is the make and model of your Gateway?

New Poster

Re: Xfi pods require firmware upgrade

I have a Cisco DPC3941. I even went to the Xfinity store and swapped my gateway only to have the same problem. I can't believe this is happening why can't I get the latest firmware?

Official Employee

Re: Xfi pods require firmware upgrade

4tharris, I have put in a request to get your firmware updated as soon as possible. I will check on this request first thing in the morning and let you know when you can resume with onboarding your pods. 

Official Employee

Re: Xfi pods require firmware upgrade

4tharris, I received a notification that the Cisco firmware required for Pods has been pushed to your Gateway. Please reboot/power cycle your Gateway twice to allow the firmware to fully load onto your device. Once you have done this, you should be able to onboard your Pods through xFi. 

Please let me know if you run into any issues. 

New Poster

Re: Xfi pods require firmware upgrade

Yes thank you it worked.